const express = require('express');
const router = express.Router();
const cafeOrderTransferController = require('../controllers/cafeOrderTransferController');

// Define routes and link them to controller functions
router.post('/create', cafeOrderTransferController.createCafeOrderTransfer);
router.get('/', cafeOrderTransferController.getAllCafeOrderTransfers);
router.get('/:id', cafeOrderTransferController.getCafeOrderTransferById);
router.post('/perform-transfer',cafeOrderTransferController.performCafeOrderTransfer);
router.put('/:id', cafeOrderTransferController.updateCafeOrderTransfer);
router.delete('/:id', cafeOrderTransferController.deleteCafeOrderTransfer);

module.exports = router;
